[Lazarus] LCL program crashes on OS X 10.5.8 with EXC_BREAKPOINT (SIGTRAP)

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Lazarus] LCL program crashes on OS X 10.5.8 with EXC_BREAKPOINT (SIGTRAP)

Žilvinas Ledas
Hello all,

what is the lowest version of OSX that LCL application should work with?

I got feedback that my program works with OS X 10.7.2 but fails with OS
X 10.5.8.
I got some info, but as I'm not very familiar with OSX development, I
don't know if this is useful:
-----
Exception Type:  EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000
Crashed Thread:  0

Dyld Error Message:
   unknown required load command 0x80000022
-----

I saw that there was simmilar problem reported in mailing list (
http://comments.gmane.org/gmane.comp.ide.lazarus.general/50138 ) and it
says the program used TTrayIcon. Mine program also uses TTrayIcon - was
this behaviour fixed or investigated?
Maybe I can I catch this type of exception or somehow work around it?


Thanks,
Žilvinas

--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus
Reply | Threaded
Open this post in threaded view
|

Re: [Lazarus] LCL program crashes on OS X 10.5.8 with EXC_BREAKPOINT (SIGTRAP)

Mattias Gaertner
On Thu, 10 Nov 2011 19:11:20 +0200
Žilvinas Ledas <[hidden email]> wrote:

> Hello all,
>
> what is the lowest version of OSX that LCL application should work with?
>
> I got feedback that my program works with OS X 10.7.2 but fails with OS
> X 10.5.8.
> I got some info, but as I'm not very familiar with OSX development, I
> don't know if this is useful:
> -----
> Exception Type:  EXC_BREAKPOINT (SIGTRAP)
> Exception Codes: 0x0000000000000002, 0x0000000000000000
> Crashed Thread:  0
>
> Dyld Error Message:
>    unknown required load command 0x80000022
> -----

Have you compiled with

-k-macosx_version_min -k10.5
-XR/Developer/SDKs/MacOSX10.5.sdk/

?
See
http://wiki.lazarus.freepascal.org/OS_X_Programming_Tips#Deploying_an_executable.2C_Compiling_under_10.6_for_10.5_and_above

 
> I saw that there was simmilar problem reported in mailing list (
> http://comments.gmane.org/gmane.comp.ide.lazarus.general/50138 ) and it
> says the program used TTrayIcon. Mine program also uses TTrayIcon - was
> this behaviour fixed or investigated?
> Maybe I can I catch this type of exception or somehow work around it?

Mattias

--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus
Reply | Threaded
Open this post in threaded view
|

Re: [Lazarus] LCL program crashes on OS X 10.5.8 with EXC_BREAKPOINT (SIGTRAP)

Žilvinas Ledas


On 2011-11-10 19:37, Mattias Gaertner wrote:

> On Thu, 10 Nov 2011 19:11:20 +0200
> Žilvinas Ledas<[hidden email]>  wrote:
>
>> Hello all,
>>
>> what is the lowest version of OSX that LCL application should work with?
>>
>> I got feedback that my program works with OS X 10.7.2 but fails with OS
>> X 10.5.8.
>> I got some info, but as I'm not very familiar with OSX development, I
>> don't know if this is useful:
>> -----
>> Exception Type:  EXC_BREAKPOINT (SIGTRAP)
>> Exception Codes: 0x0000000000000002, 0x0000000000000000
>> Crashed Thread:  0
>>
>> Dyld Error Message:
>>     unknown required load command 0x80000022
>> -----
> Have you compiled with
>
> -k-macosx_version_min -k10.5
> -XR/Developer/SDKs/MacOSX10.5.sdk/
No, I didn't.
> ?
> See
> http://wiki.lazarus.freepascal.org/OS_X_Programming_Tips#Deploying_an_executable.2C_Compiling_under_10.6_for_10.5_and_above
Thank you Mattias! It's embarrassing as it looks quite obvious now when
you pointed it out :) I'll try it and hope it will solve the issues.

Thanks again,
Žilvinas

--
_______________________________________________
Lazarus mailing list
[hidden email]
http://lists.lazarus.freepascal.org/mailman/listinfo/lazarus